org.apache.tinkerpop.gremlin.structure

## Class Property.Exceptions

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.Property.Exceptions

- Enclosing interface:
    Property<V>

      public static class Property.Exceptions
      extends Object

  Common exceptions to use with a property.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IllegalArgumentException` | `dataTypeOfPropertyValueNotSupported(Object val)`
    `static IllegalArgumentException` | `dataTypeOfPropertyValueNotSupported(Object val, Exception rootCause)`
    `static IllegalStateException` | `propertyDoesNotExist()`
    `static IllegalStateException` | `propertyDoesNotExist(Element element, String key)`
    `static IllegalArgumentException` | `propertyKeyCanNotBeAHiddenKey(String key)`
    `static IllegalArgumentException` | `propertyKeyCanNotBeEmpty()`
    `static IllegalArgumentException` | `propertyKeyCanNotBeNull()`
    `static IllegalStateException` | `propertyRemovalNotSupported()`
    `static IllegalArgumentException` | `propertyValueCanNotBeNull()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### propertyKeyCanNotBeEmpty

          public static IllegalArgumentException propertyKeyCanNotBeEmpty()

    - #### propertyKeyCanNotBeNull

          public static IllegalArgumentException propertyKeyCanNotBeNull()

    - #### propertyValueCanNotBeNull

          public static IllegalArgumentException propertyValueCanNotBeNull()

    - #### propertyKeyCanNotBeAHiddenKey

          public static IllegalArgumentException propertyKeyCanNotBeAHiddenKey(String key)

    - #### propertyDoesNotExist

          public static IllegalStateException propertyDoesNotExist()

    - #### propertyDoesNotExist

          public static IllegalStateException propertyDoesNotExist(Element element,
                                                                   String key)

    - #### dataTypeOfPropertyValueNotSupported

          public static IllegalArgumentException dataTypeOfPropertyValueNotSupported(Object val)

    - #### dataTypeOfPropertyValueNotSupported

          public static IllegalArgumentException dataTypeOfPropertyValueNotSupported(Object val,
                                                                                     Exception rootCause)

    - #### propertyRemovalNotSupported

          public static IllegalStateException propertyRemovalNotSupported()

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.